Search locations
GET /locations/search
GET
/locations/search
Searches for Australian locations by suburb name or postcode. Useful for autocomplete fields.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” q
required
string
Example
SYDNEYSearch query (suburb name or postcode)
Responses
Section titled “ Responses ”Matching locations
object
locations
Array<object>
object
id
Unique location identifier
integer
Example
12345 postcode
Australian postcode (4 digits)
string
Example
2000 locality
Suburb or locality name (uppercase)
string
Example
SYDNEY state
Australian state or territory abbreviation
string
Example
NSW priority
Priority ranking for search result ordering
integer
Example
1Example
{ "locations": [ { "id": 12345, "postcode": "2000", "locality": "SYDNEY", "state": "NSW", "priority": 1 }, { "id": 12346, "postcode": "2001", "locality": "SYDNEY", "state": "NSW", "priority": 1 }, { "id": 12347, "postcode": "2060", "locality": "NORTH SYDNEY", "state": "NSW", "priority": 1 } ]}